Loading...
Searching...
No Matches
janus_videoroom_session Struct Reference
Collaboration diagram for janus_videoroom_session:
[legend]

## Data Fields

janus_plugin_session * | handle
gint64 | sdp_sessid
gint64 | sdp_version
janus_videoroom_p_type | participant_type
gpointer | participant
volatile gint | started
volatile gint | dataready
volatile gint | hangingup
volatile gint | destroyed
janus_mutex | mutex
janus_refcount | ref

## Field Documentation

## dataready

volatile gint janus_videoroom_session::dataready

## destroyed

volatile gint janus_videoroom_session::destroyed

## handle

janus_plugin_session* janus_videoroom_session::handle

## hangingup

volatile gint janus_videoroom_session::hangingup

## mutex

janus_mutex janus_videoroom_session::mutex

## participant

gpointer janus_videoroom_session::participant

## participant_type

janus_videoroom_p_type janus_videoroom_session::participant_type

## ref

janus_refcount janus_videoroom_session::ref

## sdp_sessid

gint64 janus_videoroom_session::sdp_sessid

## sdp_version

gint64 janus_videoroom_session::sdp_version

## started

volatile gint janus_videoroom_session::started

The documentation for this struct was generated from the following file:

- janus_videoroom.c